# PhasicFlow: boundaryGrainInteractionList< contactForceModel, geometryMotionModel > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundaryGrainInteractionList< contactForceModel, geometryMotionModel > Class Template Reference
Inheritance diagram for boundaryGrainInteractionList< contactForceModel, geometryMotionModel >:
[legend]
Collaboration diagram for boundaryGrainInteractionList< contactForceModel, geometryMotionModel >:
[legend]

## Public Member Functions

| boundaryGrainInteractionList (const grainParticles &grnPrtcls, const geometryMotionModel &geomMotion)
| ~boundaryGrainInteractionList ()=default
Public Member Functions inherited from ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
| TypeInfoTemplateNV11 ("ListPtr", boundaryGrainInteraction< contactForceModel, geometryMotionModel >)
| ListPtr ()
| ListPtr (size_t len)
| ListPtr (const ListPtrType &src)
| ListPtr (ListPtrType &&src)
ListPtrType & | operator= (const ListPtrType &rhs)
ListPtrType & | operator= (ListPtrType &&rhs)
ListPtrType * | clonePtr () const
uniquePtr< ListPtrType > | clone () const
| ~ListPtr ()
uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | set (size_t i, boundaryGrainInteraction< contactForceModel, geometryMotionModel > *ptr)
uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | set (size_t i, uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > &&ptr)
uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | setSafe (size_t i, Args &&... args)
pFlow::uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | setSafe (size_t i, Args &&... args)
void | push_back (boundaryGrainInteraction< contactForceModel, geometryMotionModel > *ptr)
void | push_back (uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > &&ptr)
void | push_backSafe (Args &&... args)
boundaryGrainInteraction< contactForceModel, geometryMotionModel > & | operator[] (size_t i)
const boundaryGrainInteraction< contactForceModel, geometryMotionModel > & | operator[] (size_t i) const
size_t | size () const
auto | empty () const
uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | release (size_t i)
void | clear ()
void | clear (size_t i)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const

## Private Attributes

const boundaryList & | boundaries_

## Additional Inherited Members

Public Types inherited from ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
using | ListPtrType = ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
using | listType = std::list< boundaryGrainInteraction< contactForceModel, geometryMotionModel > * >
using | iterator = typename listType::iterator
using | const_iterator = typename listType::const_iterator
Static Public Member Functions inherited from ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
static uniquePtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > > | makeSafe (Args &&... args)
Protected Member Functions inherited from ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
bool | copy (const ListPtrType &src)
boundaryGrainInteraction< contactForceModel, geometryMotionModel > * | ptr (size_t i)
const boundaryGrainInteraction< contactForceModel, geometryMotionModel > * | ptr (size_t i) const
auto | pos (size_t i)
auto | pos (size_t i) const
Protected Attributes inherited from ListPtr< boundaryGrainInteraction< contactForceModel, geometryMotionModel > >
std::list< boundaryGrainInteraction< contactForceModel, geometryMotionModel > * > | list_

## Detailed Description

### template<typename contactForceModel, typename geometryMotionModel>
class pFlow::boundaryGrainInteractionList< contactForceModel, geometryMotionModel >

Definition at line 15 of file boundaryGrainInteractionList.hpp.

## Constructor & Destructor Documentation

## boundaryGrainInteractionList()

boundaryGrainInteractionList | ( | const grainParticles & | grnPrtcls,
|  | const geometryMotionModel & | geomMotion
| ) |  |

Definition at line 5 of file boundaryGrainInteractionList.cpp.

## ~boundaryGrainInteractionList()

~boundaryGrainInteractionList | ( |  | ) |

default

## Member Data Documentation

## boundaries_

const boundaryList& boundaries_

private

Definition at line 21 of file boundaryGrainInteractionList.hpp.

The documentation for this class was generated from the following files:

- src/Interaction/grainInteraction/boundaries/boundaryGrainInteractionList.hpp
- src/Interaction/grainInteraction/boundaries/boundaryGrainInteractionList.cpp